org.apache.groovy.plugin

## Interface GroovyRunner

- All Known Subinterfaces:
    GroovyRunner
  All Known Implementing Classes:
    JUnit5Runner, TestNgRunner, TestNgRunner

      public interface GroovyRunner

  Classes which can run scripts should implement this interface.
  Since:
    2.5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRun(java.lang.Class<?> scriptClass, GroovyClassLoader loader)` Returns `true` if this runner is able to run the given class.
    `java.lang.Object` | `run(java.lang.Class<?> scriptClass, GroovyClassLoader loader)` Runs the given class.

- - ### Method Detail

    - #### canRun

          boolean canRun(java.lang.Class<?> scriptClass,
                         GroovyClassLoader loader)

      Returns `true` if this runner is able to run the given class.
      Parameters:
        `scriptClass` - class to run
        `loader` - used to locate classes and resources
      Returns:
        true if given class can be run, else false

    - #### run

          java.lang.Object run(java.lang.Class<?> scriptClass,
                               GroovyClassLoader loader)

      Runs the given class.
      Parameters:
        `scriptClass` - class to run
        `loader` - used to locate classes and resources
      Returns:
        result of running the class